## nsscache 0.37

=== requirements.txt ===
boto3==1.7.36
pycurl==7.43.0.2
python-ldap==3.1.0
mox==0.5.3

## nsscache 0.8.8

=== debian/changelog ===
nsscache (0.8.8-1) unstable; urgency=low

  * Initial release. (Closes: #609625)

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 22 Jul 2011 12:11:55 +1000

=== debian/control ===
Source: nsscache
Section: admin
Priority: optional
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-all, python-pycurl, python-ldap
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/nsscache

Package: nsscache
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pycurl, python-ldap
Recommends: libnss-cache | libnss-db
Suggests: python-zsync, python-pyme
Description: asynchronously synchronise local NSS databases with remote directory services
 Synchronises local NSS caches, such as those served by the
 libnss-cache module, against remote directory services, such as
 LDAP, or prebuild cache files from an HTTP server. This can be
 used alongside the libnss-cache package to keep user account
 information, groups, netgroups, and automounts up to date.
 .
 Use of nsscache and libnss-cache eliminates the need for using a
 cache daemon such as nscd with networked NSS modules such as
 libnss-ldap.

## nsscache 0.21.17-2

=== debian/changelog ===
nsscache (0.21.17-2) unstable; urgency=low

  * Delete debugging print.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 10 Feb 2012 10:45:42 +1100

nsscache (0.21.17-1) unstable; urgency=low

  * New upstream release.
   * Clean up temp directories on error.
   * Port unit tests to use python-mox instead of pmock.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 10 Feb 2012 10:10:42 +1100

nsscache (0.21.16-0gg2) lucid; urgency=low

  * Fix subprocess communication with getent so that nsscache -v verify
    works again.

 -- Joel Sing <jsing@google.com>  Wed, 05 Oct 2011 18:21:06 +1100

nsscache (0.21.16-0gg1) unstable; urgency=low

  * If a zsync fetch fails against the local cache, fall back to a full
    fetch via zsync.

 -- Joel Sing <jsing@google.com>  Wed, 08 Jun 2011 17:04:17 +1000

nsscache (0.21.15-0gg1) unstable; urgency=low

  * Create indexes for the latest libnss-cache.
  * Add python-mox to the build dependencies.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 16 May 2011 16:44:51 +1000

nsscache (0.21.14-0gg2) unstable; urgency=low

  * Add a postinst that will clear out accidental nsscache turds from /etc.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 09 May 2011 16:24:44 +1000

nsscache (0.21.14-0gg1) unstable; urgency=low

  * New upstream release.
   * Raise InvalidMap if the zsync decompress fails.
   * Handle EmptyMap before trying to gpg decrypt the result.
   * Handle missing and multiple signatures from pyme without crashing.
   * Catch InvalidMap in the command object.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 05 May 2011 14:46:23 +1000

nsscache (0.21.13-0gg1) unstable; urgency=low

  * New upstream release.
   * No longer falls back to pycurl to retrieve a full file if zsync
    fetches fail.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 02 May 2011 14:35:13 +1000

nsscache (0.21.12-0gg2) unstable; urgency=low

  * Fix package dependencies on pycurl and python-ldap.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 28 Apr 2011 10:11:19 +1000

nsscache (0.21.12-0gg1) unstable; urgency=low

  * If a timestamp stored locally is more than an hour in the future,
    ignore it and use 'now'.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 10 Mar 2011 10:21:32 -0800

nsscache (0.21.11-0gg1) unstable; urgency=low

  * Fix the unit tests for full updates, and make the handling of the
    --force-write flag act as documented.
  * Update the test runner to show log output if --verbosity is enabled.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 08 Mar 2011 17:25:43 -0800

nsscache (0.21.10-0gg1) unstable; urgency=low

  * New upstream release.
   * Handle relative paths in the config when creating temporary directories.

 -- Jamie Wilkinson <jaq@google.com>  Wed, 09 Feb 2011 20:34:36 -0800

nsscache (0.21.9-0gg1) unstable; urgency=low

  * New upstream release.
   * Fix bugs in the ldapsource module introduced by changing the
    timestamp type from an int to a time.struct_time.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 07 Feb 2011 21:24:41 -0800

nsscache (0.21.8-0gg1) unstable; urgency=low

  * New upstream release.
   * Update the status output to be flexible, adding --template and
    --automount-template options.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 01 Feb 2011 23:52:08 -0800

nsscache (0.21.7-0gg1) unstable; urgency=low

  * New upstream release.
   * Improve logging around adding to an automount map.
   * Ignore elements of automount master that we can't parse, instead of
    crashing.
   * Rename automount_info to automount_mountpoint for clarity.
   * Work around a bug in bdb-4.8 that doesn't like writing to a
    zero-length file, instead we create a security hole race condition on
    the tempfile we want it to write to. Oh well, if you use bdb for nss
    caching then you are going to suffer many more problems than just this
    one.
   * Drop python2.3 and lower support by insisting on the set() type, and
    using subprocess instead of popen*.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 31 Jan 2011 13:57:19 -0800

nsscache (0.21.6-0gg1) unstable; urgency=low

  * New upstream release.
   * Don't retrieve the auto.master file from the zsync source if
     zsync_local_automount_master is set to yes.
   * Fix a crash caused by bad code clagging between update/files.py and
     update/maps.py.

 -- Jamie Wilkinson <jaq@google.com>  Fri, 28 Jan 2011 17:58:07 -0800

nsscache (0.21.5-0gg1) unstable; urgency=low

  * New upstream release.
    * Change the log message formatting depending on where the logs go,
      adding timestamp, level, and source location when on the console, and
      removing everything but the level and message when going to syslog.
    * Actually sort netgroup membership.
    * Create temp files in the same directory as the destination, as
      cross-filesystem renames aren't atomic.
    * Create a temporary directory in the target directory, and chdir into
      it, in case a zsync source is used; zsync's librcksum creates its
      temporary files in the cwd, and sometimes doesn't clean up after
      itself.
    * Fix printing of timestamps in nsscache status output.
    * Don't abort on EmptyMap errors, continue onto the next map.

 -- Jamie Wilkinson <jaq@google.com>  Fri, 28 Jan 2011 14:04:01 -0800

nsscache (0.21.4-0gg2) unstable; urgency=low

  * Put nsscache back in /usr/bin

 -- Michael Haro <mharo@google.com>  Fri, 28 Jan 2011 04:44:34 -0800

nsscache (0.21.4-0gg1) unstable; urgency=low

  * New upstream release.
    * Sort netgroup membership.
    * Log the time it takes to perform a whole run.
    * Factor out the updater factory method from app.py.
    * Don't quit the updater if one map fails, wait for all maps to finish
      processing before exiting.
    * Add the pid, module, and function name to the syslog format string.

 -- Jamie Wilkinson <jaq@google.com>  Wed, 26 Jan 2011 15:57:50 -0800

nsscache (0.21.3-0gg1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 25 Jan 2011 23:32:39 -0800



=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-all, python-pycurl, python-ldap
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-all, python-pycurl, python-ldap, python-mox
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/nsscache
 
 Package: nsscache

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/sbin

## nsscache 0.21.19

=== debian/changelog ===
nsscache (0.21.19-1) unstable; urgency=low

  * New upstream release. 
  * Bump standards version. 

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 14 Jan 2013 22:23:44 +0000

nsscache (0.21.18-2) unstable; urgency=low

  * Fix unmanaged files in tarball, by adding to debian/source/options.  (Closes: #643227) 

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Jan 2013 09:56:48 +0000

nsscache (0.21.18-1) unstable; urgency=low

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 06 Jan 2013 18:52:48 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-all, python-pycurl, python-ldap, python-mox
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/nsscache
 
 Package: nsscache

## nsscache 0.23

=== debian/changelog ===
nsscache (0.23-2) unstable; urgency=low

  * Refactor debian/rules to install into /usr/share/nsscache.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Oct 2013 09:52:13 +1100

nsscache (0.23-1) unstable; urgency=low

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 06 Oct 2013 14:43:12 +1100

nsscache (0.22-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 30 Jul 2013 11:00:45 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-all, python-pycurl, python-ldap, python-mox
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-pycurl, python-ldap, python-mox
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/nsscache
 
 Package: nsscache

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,7 @@
 	dh  $@
 
 override_dh_auto_install:
-	dh_auto_install -- --install-scripts=/usr/sbin
+	dh_auto_install -- --install-scripts=/usr/share/nsscache --root=debian/nsscache --install-layout=deb --install-lib=/usr/share/nsscache
+
+override_dh_auto_build:
+

=== debian/watch ===
version=3
http://code.google.com/p/nsscache/downloads/list .*/nsscache-(.*)\.tar\.gz debian

## nsscache 0.27

=== debian/changelog ===
nsscache (0.27-2ubuntu1) utopic; urgency=medium

  * Build-depend on libnss-db to fix tests.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 18 Oct 2014 01:52:23 -0400

nsscache (0.27-2) unstable; urgency=medium

  * Remove suggests: on python-zsync, which doesn't exist. 

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 24 May 2014 13:10:49 +1000

nsscache (0.27-1) unstable; urgency=medium

  * New upstream release. 
  * Add autopkgtest regression test to the package. 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 22 May 2014 17:49:09 +1000

nsscache (0.26-1) unstable; urgency=low

  * New upstream version. 
  * Add authorized-keys-command.sh to examples. 
  * Add a dh_auto_test override target to debian/rules. 

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 May 2014 17:09:05 +1000

nsscache (0.25-1) unstable; urgency=medium

  * New upstream release. 
  * Added packaging VCS headers to control file. 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 01 May 2014 00:09:30 +1000

nsscache (0.24-1) unstable; urgency=medium

  * New upstream release. 
  * Update standards version. 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 29 Apr 2014 19:46:00 +1000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: nsscache
 Section: admin
 Priority: optional
-Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-pycurl, python-ldap, python-mox
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jamie Wilkinson <jaq@debian.org>
+Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-pycurl, python-ldap, python-mox, libnss-db
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/nsscache
+Vcs-Browser: https://code.google.com/p/nsscache/source/browse/?name=debian#git%2Fnsscache
+Vcs-Git: https://code.google.com/p/nsscache/ -b debian
+XS-Testsuite: autopkgtest
 
 Package: nsscache
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pycurl, python-ldap
 Recommends: libnss-cache | libnss-db
-Suggests: python-zsync, python-pyme
+Suggests: python-pyme
 Description: asynchronously synchronise local NSS databases with remote directory services
  Synchronises local NSS caches, such as those served by the
  libnss-cache module, against remote directory services, such as

## nsscache 0.29

=== debian/changelog ===
nsscache (0.29-2) unstable; urgency=medium

  * Add dependency on libnss-db back to build-depends, to fix a FTBFS on
    amd64.  Closes: #750329.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 22 Oct 2014 10:09:50 +1100

nsscache (0.29-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version.
  * Disable autopkgtest for now as the test script is broken.  Closes:
    #757019.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 21 Oct 2014 22:32:27 +1100

nsscache (0.27-3) unstable; urgency=medium

  * Updated watchfile for github.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 21 Oct 2014 19:30:07 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: nsscache
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jamie Wilkinson <jaq@debian.org>
+Maintainer: Jamie Wilkinson <jaq@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-pycurl, python-ldap, python-mox, libnss-db
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/nsscache
-Vcs-Browser: https://code.google.com/p/nsscache/source/browse/?name=debian#git%2Fnsscache
-Vcs-Git: https://code.google.com/p/nsscache/ -b debian
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://github.com/google/nsscache/tree/debian
+Vcs-Git: https://github.com/google/nsscache.git -b debian
 
 Package: nsscache
 Architecture: all

## nsscache 0.30

=== debian/changelog ===
nsscache (0.30-4) unstable; urgency=medium

  * Allow stderr output in the autopkgtest test.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 30 May 2015 16:33:23 +1000

nsscache (0.30-3) unstable; urgency=medium

  * Convert to dh-python2 from python-support. 

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 23 May 2015 17:25:55 +1000

nsscache (0.30-2) unstable; urgency=medium

  * Add the autopkgtest testsuite back to the control file. 
  * Fix some path errors in the regression test. 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 21 May 2015 20:01:23 +1000

nsscache (0.30-1) unstable; urgency=medium

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 20 May 2015 08:56:19 +1000

## nsscache 0.32

=== debian/changelog ===
nsscache (0.32-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 17 Jan 2016 13:08:15 +1100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python (>= 2.4), python-support, python-pycurl, python-ldap, python-mox, libnss-db
+Build-Depends: debhelper (>= 9~), python (>= 2.6.6-3~), dh-python, python-pycurl, python-ldap, python-mox, libnss-db
 Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/nsscache
 Vcs-Browser: https://github.com/google/nsscache/tree/debian
 Vcs-Git: https://github.com/google/nsscache.git -b debian
+Testsuite: autopkgtest
 
 Package: nsscache
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pycurl, python-ldap
+Provides: ${python:Provides}
 Recommends: libnss-cache | libnss-db
-Suggests: python-pyme
 Description: asynchronously synchronise local NSS databases with remote directory services
  Synchronises local NSS caches, such as those served by the
  libnss-cache module, against remote directory services, such as

=== debian/tests/control ===
Tests: regtest
Restrictions: allow-stderr
Depends: @,
	slapd,
	ldap-utils,
	libnss-db,
	db-util

## nsscache 0.33

=== debian/changelog ===
nsscache (0.33-3) unstable; urgency=high

  * Revert change to debian/compat for the RC bugfix.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 07 Apr 2017 19:19:11 +1000

nsscache (0.33-2) unstable; urgency=high (fix RC bug)

  * Update debian/links which is causing the binary to be removed.
    Closes: #857087.
  * Urgency=critical to fix RC-bug before autoremoval.
  * Update debian/compat to a supported version. 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 04 Apr 2017 19:58:41 +1000

nsscache (0.33-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 01 Nov 2016 15:32:19 +1100

nsscache (0.32-2) unstable; urgency=medium

  * Build-depend on tzdata.  Closes: #839435. 
  * Bump standards version.
  * Update project homepage to GitHub.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 01 Nov 2016 14:51:20 +1100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=nsscache

%:
	dh $@ --with=python2 --buildsystem=pybuild

override_dh_auto_test:
	./runtests.py

## nsscache 0.34

=== debian/changelog ===
nsscache (0.34-2ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Enable smoke tests.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 12 Jun 2017 20:33:52 +0530

nsscache (0.34-2) unstable; urgency=medium

  * Add more diagnostics to the regtest. 
  * Fix version numbers in manpages. 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 18 Apr 2017 10:04:30 +1000

nsscache (0.34-1) unstable; urgency=medium

  * New upstream release. 
  * Fix the path to nsscache in debci regtest, so it tests the installed
    version, not from the source directory.
  * Bump debian/compat to a supported version, take 2. 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 13 Apr 2017 21:11:06 +1000

nsscache (0.33-1ubuntu1) zesty; urgency=medium

  * debian/tests/smoke: Run test suite. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 04 Dec 2016 15:19:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: nsscache
 Section: admin
 Priority: optional
-Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 9~), python (>= 2.6.6-3~), dh-python, python-pycurl, python-ldap, python-mox, libnss-db
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/nsscache
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jamie Wilkinson <jaq@debian.org>
+Build-Depends: debhelper (>= 9~), python (>= 2.6.6-3~), dh-python, python-pycurl, python-ldap, python-mox, libnss-db, tzdata
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/nsscache
 Vcs-Browser: https://github.com/google/nsscache/tree/debian
 Vcs-Git: https://github.com/google/nsscache.git -b debian
 Testsuite: autopkgtest

=== debian/tests/control ===
#Tests: regtest
#Restrictions: allow-stderr, needs-root
#Depends: @,
#	slapd,
#	ldap-utils,
#	libnss-db,
#	db-util

Tests: smoke
Restrictions: allow-stderr
Depends: @, slapd, ldap-utils, libnss-db, db-util, python-mox

## nsscache 0.37

=== debian/changelog ===
nsscache (0.37-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:47:19 +0800

nsscache (0.37-1) unstable; urgency=medium

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 01 Nov 2018 05:29:02 +1100

nsscache (0.36-1) unstable; urgency=medium

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 22 Apr 2018 12:07:04 +1000

nsscache (0.35-1) unstable; urgency=medium

  * New upstream release. 
  * Fix lintian warning; bump standards version. 
  * Fix lintian warning; remove Testsuite header. 

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 03 Nov 2017 15:29:14 +1100

## nsscache 0.39

=== requirements.txt ===
pytest
boto3
pycurl==7.43.0.2
python3-ldap
python-ldap
bsddb3
mox3

=== debian/changelog ===
nsscache (0.39-2ubuntu1) focal; urgency=medium

  * d/t/regtest: if apparmor is enabled, override the slapd profile
    before the test. (LP: #1862369)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 07 Feb 2020 12:32:18 -0300

nsscache (0.39-2) unstable; urgency=medium

  * Make the tests execute correctly under pybuild by overriding the default local to search.
  * Trap NoSectionError when trying to load automount prefix and suffix mutators.
  * Tell pybuild to copy in nsscache.conf as it's used as testdata for confit_test.py.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 12 Nov 2019 21:43:52 +1100

nsscache (0.39-1) unstable; urgency=medium

  * New upstream release.
  * Move the status check to the run, because beforehand the config doesn't exist.
  * Update the source options to ignore python generated files.
  * Update build deps and suggests for boto3, letting the tests pass and users who want s3 buckets to be able to succeed.
  * Update rules to run pytest tests now runtests is deleted upstream.
  * Add a config for gbp.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 12 Nov 2019 04:04:05 +1100

nsscache (0.38-2) unstable; urgency=medium

  * Ensure the autopkgtest has a bsddb dependency installed. 

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 09 Nov 2019 23:03:00 +1100

nsscache (0.38-1) unstable; urgency=medium

  * New upstream release.
    * Python3!  Closes: #937164

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 09 Nov 2019 03:38:45 +1100

=== debian/control ===
Source: nsscache
Section: admin
Priority: optional
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends: debhelper (>= 9~), python3, dh-python, python3-pycurl, python3-ldap, python3-mox3, python3-bsddb3, libnss-db, tzdata, python3-pytest-runner, python3-pytest, python3-boto3
Standards-Version: 4.1.1
Homepage: https://github.com/google/nsscache
Vcs-Browser: https://github.com/google/nsscache/tree/debian
Vcs-Git: https://github.com/google/nsscache.git -b debian

Package: nsscache
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pycurl, python3-ldap
Provides: ${python3:Provides}
Recommends: libnss-cache | libnss-db
Suggests: python3-boto3
Description: asynchronously synchronise local NSS databases with remote directory services
 Synchronises local NSS caches, such as those served by the
 libnss-cache module, against remote directory services, such as
 LDAP, or prebuild cache files from an HTTP server. This can be
 used alongside the libnss-cache package to keep user account
 information, groups, netgroups, and automounts up to date.
 .
 Use of nsscache and libnss-cache eliminates the need for using a
 cache daemon such as nscd with networked NSS modules such as
 libnss-ldap.

=== debian/tests/control ===
Tests: regtest
Restrictions: allow-stderr
Depends: @,
	slapd,
	ldap-utils,
	libnss-db,
	db-util,
	python3-bsddb3

## nsscache 0.41

=== debian/changelog ===
nsscache (0.41-2) unstable; urgency=medium

  * Bump debian/compat to 12.
  * Upstream branch renamed to main, updated gbp.conf.
  * Do not look for the test in a relative path, fixing autopkgtest failure.
  * No slapd.pid created in the ADT test wrapper, removed.
  * Rename temp and artifact variables in autopkgtest.
  * Update debian/watch format version.
  * Bump standards version to 4.5.1.
  * Remove acute accents from manpage.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 11 Feb 2021 11:04:03 +1100

nsscache (0.41-1) unstable; urgency=medium

  * New upstream release.
  * Move slapd regression test to the top level test for project consistency.
  * Moved Debian packaging to salsa.debian.org: updated control.
  * Indicate to gbp which branch is upstream.
  * Bump standards-version to 4.4.0.
  * Update debian/compat level to 10.
  * Install conffile correctly.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 08 Feb 2021 10:52:13 +1100

## nsscache 0.42

=== Makefile ===

###
## CircleCI development targets
#

.PHONY: circleci-validate
circleci-validate: .circleci/config.yml
	circleci config validate

# Override this on the make command to say which job to run
CIRCLEJOB ?= build
.PHONY: circleci-execute
.INTERMEDIATE: tmpconfig.yml
circleci-execute: .circleci/config.yml circleci-validate
ifeq ($(CIRCLECI),true)
	$(error "Don't run this target from within CircleCI!")
endif
	circleci config process $< > tmpconfig.yml
	circleci local execute -c tmpconfig.yml --job $(CIRCLEJOB)

=== requirements.txt ===
pytest
boto3
pycurl==7.43.0.6
python3-ldap
python-ldap
bsddb3
mox3

=== debian/changelog ===
nsscache (0.42-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Use MDB as the LDAP backend; BDB is being deprecated.
    OpenLDAP 2.5.x removed the BDB backend, so we have to adjust the
    testsuite to use the MDB backend, which is the recommended one.
    (Closes: #990172)

  [ Jamie Wilkinson ]
  * Remove debian/compat and use debhelper-compat virtual package.  Bump to 13.
  * Mark control with Rules-Requires-Root: no.
  * Format copyright according to dep5.
  * Fix path to GPL-2 in copyright.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 08 Oct 2021 08:38:32 +1100

nsscache (0.42-1) unstable; urgency=medium

  * New upstream release.
  * Remove trailing whitespace from changelog.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 29 Mar 2021 16:05:43 +1100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 9~), python3, dh-python, python3-pycurl, python3-ldap, python3-mox3, python3-bsddb3, libnss-db, tzdata, python3-pytest-runner, python3-pytest, python3-boto3
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-pycurl, python3-ldap, python3-mox3, python3-bsddb3, libnss-db, tzdata, python3-pytest-runner, python3-pytest, python3-boto3
+Standards-Version: 4.5.1
 Homepage: https://github.com/google/nsscache
-Vcs-Browser: https://github.com/google/nsscache/tree/debian
-Vcs-Git: https://github.com/google/nsscache.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/nsscache
+Vcs-Git: https://salsa.debian.org/debian/nsscache.git
+Rules-Requires-Root: no
 
 Package: nsscache
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Tests: regtest
+Tests: slapd-regtest
 Restrictions: allow-stderr
 Depends: @,
 	slapd,

## nsscache 0.49

=== requirements.txt ===
pytest
boto3
google-cloud-storage
pycurl==7.45.2
python3-ldap
python-ldap
packaging

=== debian/changelog ===
nsscache (0.49-5) unstable; urgency=medium

  * Remove `debian/links` which interferes with symlinked `sbin`
    (Closes: #1064801)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 15 Oct 2024 16:11:22 +1100

nsscache (0.49-4) unstable; urgency=medium

  * Change test timezone to a the canonical name for this zone.
    (Closes: #1084998)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 15 Oct 2024 15:50:17 +1100

nsscache (0.49-3) unstable; urgency=medium

  * Add build dependency on passwd.  Closes: #1072047

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 29 May 2024 14:15:49 +1000

nsscache (0.49-2) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian/control: add Depends: python3-packaging for nsscache

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 16 Aug 2023 14:51:49 +1000

nsscache (0.49-1) unstable; urgency=medium

  * New upstream release.
  * Reinstate build-time tests now there's no dependency on mox upstream.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 04 Jun 2023 15:08:45 +1000

nsscache (0.48-2) unstable; urgency=medium

  * Remove distutils from `ldapsource`.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 02 May 2023 22:13:14 +1000

nsscache (0.48-1) unstable; urgency=medium

  [ Kevin Bowling ]
  * Remove support for BDB

  [ Jamie Wilkinson ]
  * Add a .gitignore for debian subdir.
  * Bump Standards-Version to 4.6.2.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 02 May 2023 21:55:29 +1000

nsscache (0.42-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable buildtime tests to get rid of the build dependency
    on python3-mox3. (Closes: #1028454)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Mar 2023 22:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-pycurl, python3-ldap, python3-mox3, python3-bsddb3, libnss-db, tzdata, python3-pytest-runner, python3-pytest, python3-boto3
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-pycurl, python3-ldap, tzdata, python3-pytest-runner, python3-pytest, python3-boto3, passwd
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/nsscache
 Vcs-Browser: https://salsa.debian.org/debian/nsscache
 Vcs-Git: https://salsa.debian.org/debian/nsscache.git
@@ -11,9 +11,9 @@
 
 Package: nsscache
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pycurl, python3-ldap
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pycurl, python3-ldap, python3-packaging
 Provides: ${python3:Provides}
-Recommends: libnss-cache | libnss-db
+Recommends: libnss-cache
 Suggests: python3-boto3
 Description: asynchronously synchronise local NSS databases with remote directory services
  Synchronises local NSS caches, such as those served by the

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=nsscache
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=
# data in setup.py is named 'config' and gets intalled to /usr/config by default.  Move the directory so that the conffile is put in the correct location, and avoids a mkdir.
export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/config {destdir}/etc

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nsscache-$1\.tar\.gz/ \
  https://github.com/google/nsscache/tags .*/version\/(\d\S*)\.tar\.gz
